gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Global API elements for This class contains all the methods which are not directly attributable to a specific type. System.Object
- Method
  System.Void Disables automatic user locale usage. Only use this if you want to set a specific locale for your program other than the default user locale, or if you want to set different values for different locale categories. Most applications will not need to use this.
- Method
  Gtk.Widget `` Gets the widget associated with an event. a the that originally received , or .
- Method
  System.String `` `` `` Check if a version is compatible with the currently loaded Gtk library. a a a if the version is supported, or an error string describing the mismatch. This is typically only used by modules which want to check if they are compatible with the currently loaded version of Gtk+.
- Method
  System.Void `` `` Propagate an event from one widget to another. to propagate event to. to propagate. This function should be rarely used, look into event handler overriding instead.
- Method
  System.Boolean `` `` `` Activates a registered key binding. the to activate bindings on. a representing the key value to activate. a representing any Ctrl, Meta, or Shift modifiers to the key value. a indicating whether a binding was activated.
- Method
  System.String Sets the current locale according to the application environment. a corresponding to the locale set. This is equivalent to the C standard library call - setlocale (LC_ALL, ""), but also takes care of setup of the windowing environment used by . automatically does this, so it is not normally necessary for applications to call this method.
- Constructor
  Do not use.
  There are no instance members for this class. This constructor will be marked Obsolete and possibly removed in future versions.
- Property
  Pango.Language The current default language for this application. a This value can change during the life of a program, and is based on the current locale. It contains information such as the text direction of the current language.
- Property
  Gdk.Event Obtains a copy of the event currently being processed by Gtk#. a For example, if you get a event from , the current event will be the that triggered the signal. If there is no current event, the function returns .
- Property
  System.UInt32 Returns a representing the unix time of the current event. Returns the unix time for the current event. None.
- Method
  System.Void `` `` `` `` `` `` Converts a Red/Green/Blue color value to a Hue/Saturation/Value color value. the red component of the color as a the green component of the color as a the blue component of the color as a the resulting hue of the color as a the resulting saturation of the color as a the resulting value of the color as a
- Method
  System.Boolean `` Gets the state field of the current event. a to store the state in if one exists. if there is a current and it has a state field, otherwise .
- Property
  System.Boolean Checks if any events are pending. a This can be used to update the GUI and invoke timeouts etc. while doing some time intensive computation. `/* computation going on */ ... while (Gtk.Global.EventsPending) { Gtk.Application.RunIteration (); } ... /* computation continued */`
- Method
  System.Void `` `` `` `` `` `` `` `` `` Deprecated. Do not use. a a a , a state a , a clip rectangle a , the widget a , a style detail a , Y origin a , Y origin a , the string to draw Draws a text string on with the given parameters.
- Method
  System.Boolean `` `` To be added a a a To be added
- Method
  System.Boolean `` To be added a a To be added